Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- RAW : kyotocabinet::ZLIB , kyotocabinet::LZO , kyotocabinet::LZMA
- rcomp() : kyotocabinet::PlantDB< BASEDB, DBTYPE >
- read() : kyotocabinet::File , kyotocabinet::DirStream
- read_directory() : kyotocabinet::File
- read_fast() : kyotocabinet::File
- read_file() : kyotocabinet::File
- recovered() : kyotocabinet::CacheDB , kyotocabinet::DirDB , kyotocabinet::File , kyotocabinet::HashDB
- recs_ : kyotocabinet::TinyHashMap::Sorter
- RECURSIVE : kyotocabinet::Mutex
- reduce() : kyotocabinet::MapReduce
- ReduceTask() : kyotocabinet::MapReduce::ReduceTaskQueue::ReduceTask
- refresh() : kyotocabinet::File
- Regex() : kyotocabinet::Regex
- remove() : kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO > , kyotocabinet::TinyHashMap , kyotocabinet::TinyArrayList
- REMOVE : kyotocabinet::DB::Visitor
- remove() : kyotocabinet::DB::Cursor , kyotocabinet::DB , kyotocabinet::BasicDB::Cursor , kyotocabinet::BasicDB , kyotocabinet::IndexDB , kyotocabinet::File
- remove_bulk() : kyotocabinet::BasicDB
- remove_directory() : kyotocabinet::File
- remove_recursively() : kyotocabinet::File
- rename() : kyotocabinet::File
- reorganized() : kyotocabinet::CacheDB , kyotocabinet::DirDB , kyotocabinet::HashDB
- replace() : kyotocabinet::DB , kyotocabinet::BasicDB , kyotocabinet::IndexDB , kyotocabinet::TinyHashMap , kyotocabinet::Regex , kyotocabinet::IndexDB
- report() : kyotocabinet::StashDB , kyotocabinet::DirDB , kyotocabinet::HashDB , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::CacheDB , kyotocabinet::IndexDB , kyotocabinet::ProtoDB< STRMAP, DBTYPE > , kyotocabinet::TextDB
- report_binary() : kyotocabinet::DirDB , kyotocabinet::ProtoDB< STRMAP, DBTYPE > , kyotocabinet::HashDB , kyotocabinet::StashDB , kyotocabinet::TextDB , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::CacheDB
- report_valist() : kyotocabinet::HashDB , kyotocabinet::StashDB , kyotocabinet::ProtoDB< STRMAP, DBTYPE > , kyotocabinet::CacheDB , kyotocabinet::DirDB , kyotocabinet::PlantDB< BASEDB, DBTYPE > , kyotocabinet::TextDB
- reveal_inner_db() : kyotocabinet::IndexDB , kyotocabinet::PolyDB
- ridx_ : kyotocabinet::TinyHashMap::Sorter
- run() : kyotocabinet::Thread
- RWLock() : kyotocabinet::RWLock